View Issue Details

IDProjectCategoryView StatusLast Update
0013468LazarusIDEpublic2009-09-24 16:32
ReporterMartin Friebe Assigned ToPaul Ishenin  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN) 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0013468: Saving a frame cause RangCheck exception, if frame is moved partly out of the desktop
DescriptionTested on Windows:
Open a new application, add a frame. Move the frame to the top off your desktop, and keep moving it up, so that a part of the frames titlebar is outside the Desktop.

Now save the project/frame. You should get the exception attached below.

Note, DesignetTop/DesignerLeft may also be negative on some multi-monitor environments?
Additional InformationTApplication.HandleException Range check error
  Stack trace:
  $009B6A37 TFRAMEDESIGNERFORM__DOSAVEBOUNDS, line 146 of C:/lazarus_latest/designer/framedesigner.pas
  $0077FD40 TCUSTOMFORMEDITOR__SAVEHIDDENDESIGNERFORMPROPERTIES, line 1294 of customformeditor.pp
  $0043FF6D TMAINIDE__DOSAVEUNITCOMPONENT, line 4639 of main.pp
  $0044A4A3 TMAINIDE__DOSAVEEDITORFILE, line 7260 of main.pp
  $004383D0 TMAINIDE__MNUSAVECLICKED, line 2545 of main.pp
  $0051F7C1 TCONTROL__CLICK, line 2109 of ./include/control.inc
  $005475E1 TCUSTOMSPEEDBUTTON__CLICK, line 112 of ./include/speedbutton.inc
  $00549304 TCUSTOMSPEEDBUTTON__WMLBUTTONUP, line 783 of ./include/speedbutton.inc
  $0040B2D9
  $0051D146 TCONTROL__PERFORM, line 996 of ./include/control.inc
  $00512A08 TWINCONTROL__ISCONTROLMOUSEMSG, line 4203 of ./include/wincontrol.inc
  $00513EC7 TWINCONTROL__WNDPROC, line 4776 of ./include/wincontrol.inc
  $005CAA73 DELIVERMESSAGE, line 111 of lclmessageglue.pas
  $005A985A WINDOWPROC, line 2449 of win32callback.inc
  $7614F8D2
  $7614F794
  $76150008
Tagsmulti-monitor
Fixed in Revision21561
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0010330 closedPaul Ishenin misplaced code-completion hint on windows, with desktop across multi-monitor 

Activities

samuel herzog

2009-04-08 06:55

developer   ~0026653

I can not reproduce this issue on winxp sp3 with single-monitor and lazarus SVN19196.
Does it depend on the choosen design in windows ? I always use "Classic" and not the default "Tele Tuby" Design.

Paul Ishenin

2009-09-04 05:27

manager   ~0030391

Please test and close if ok.

samuel herzog

2009-09-04 07:10

developer   ~0030392

Tested again today on winxp sp3 and still looks ok.

Issue History

Date Modified Username Field Change
2009-04-05 15:16 Martin Friebe New Issue
2009-04-05 15:16 Martin Friebe LazTarget => -
2009-04-05 15:16 Martin Friebe Widgetset => Win32
2009-04-05 16:17 Martin Friebe Summary Saving a fram cause RangCheck exception, if frame is moved partly out of the desktop => Saving a frame cause RangCheck exception, if frame is moved partly out of the desktop
2009-04-07 11:35 Paul Ishenin Relationship added related to 0010330
2009-04-07 11:35 Paul Ishenin LazTarget - => 1.0
2009-04-07 11:35 Paul Ishenin Status new => acknowledged
2009-04-07 11:35 Paul Ishenin Target Version => 1.0.0
2009-04-07 11:37 Paul Ishenin Tag Attached: multi-monitor
2009-04-08 06:55 samuel herzog Note Added: 0026653
2009-09-04 05:27 Paul Ishenin Fixed in Revision => 21561
2009-09-04 05:27 Paul Ishenin Status acknowledged => resolved
2009-09-04 05:27 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-09-04 05:27 Paul Ishenin Resolution open => fixed
2009-09-04 05:27 Paul Ishenin Assigned To => Paul Ishenin
2009-09-04 05:27 Paul Ishenin Note Added: 0030391
2009-09-04 07:10 samuel herzog Note Added: 0030392
2009-09-24 16:32 Martin Friebe Status resolved => closed